% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Main.R
\name{npv}
\alias{npv}
\title{npv}
\usage{
npv(actuals, predictedScores, threshold = 0.5)
}
\arguments{
\item{actuals}{The actual binary flags for the response variable. It can take a numeric vector containing values of either 1 or 0, where 1 represents the 'Good' or 'Events' while 0 represents 'Bad' or 'Non-Events'.}

\item{predictedScores}{The prediction probability scores for each observation. If your classification model gives the 1/0 predcitions, convert it to a numeric vector of 1's and 0's.}

\item{threshold}{If predicted value is above the threshold, it will be considered as an event (1), else it will be a non-event (0). Defaults to 0.5.}
}
\value{
The negative predictive value for a given set of actuals and probability scores, with the specified cutoff threshold.
}
\description{
Calculate the negative predictive value for a given set of actuals and predicted probability scores.
}
\details{
For a given given binary response actuals and predicted probability scores, negative predictive value is defined as the proportion of observations without the event out of the total negative predictions.
}
\examples{
data('ActualsAndScores')
npv(actuals=ActualsAndScores$Actuals, predictedScores=ActualsAndScores$PredictedScores)
}
\author{
Selva Prabhakaran \email{selva86@gmail.com}
}

